--[[
##################
PsychoUI: keivamp#
##################
]]--
local PsychoUI = LibStub("AceAddon-3.0"):GetAddon("PsychoUI")
local LSM = LibStub and LibStub:GetLibrary("LibSharedMedia-3.0", true)
if not LSM then return end

LSM:Register("font", "ThisFont", [[Interface\AddOns\PsychoUI\Fonts\ThisFont.ttf]])
LSM:Register("font", "Numbers", [[Interface\AddOns\PsychoUI\Fonts\Numbers.ttf]])
LSM:Register("font", "Combat", [[Interface\AddOns\PsychoUI\Fonts\Combat.ttf]])
LSM:Register("font", "Dialog", [[Interface\AddOns\PsychoUI\Fonts\Dialog.ttf]])
LSM:Register("font", "Action_Man", [[Interface\AddOns\PsychoUI\Fonts\Action_Man.ttf]])
LSM:Register("font", "animeace2_reg", [[Interface\AddOns\PsychoUI\Fonts\animeace2_reg.ttf]])
LSM:Register("font", "Avalon Quest", [[Interface\AddOns\PsychoUI\Fonts\Avalon Quest.ttf]])
LSM:Register("font", "Expressway", [[Interface\AddOns\PsychoUI\Fonts\Expressway.ttf]])
LSM:Register("font", "ComicNeue-Regular", [[Interface\AddOns\PsychoUI\Fonts\ComicNeue-Regular.ttf]])
LSM:Register("font", "Verdana", [[Interface\AddOns\PsychoUI\Fonts\Verdana.ttf]])
LSM:Register("font", "Ace_Futurism", [[Interface\AddOns\PsychoUI\Fonts\Ace_Futurism.ttf]])
LSM:Register("font", "Prototype", [[Interface\AddOns\PsychoUI\Fonts\Prototype.ttf]])
LSM:Register("font", "Adventure", [[Interface\AddOns\PsychoUI\Fonts\Adventure.ttf]])
LSM:Register("font", "Cooline", [[Interface\AddOns\PsychoUI\Fonts\Cooline.ttf]])
LSM:Register("font", "Transformers", [[Interface\AddOns\PsychoUI\Fonts\Transformers.ttf]])
LSM:Register("font", "Atari", [[Interface\AddOns\PsychoUI\Fonts\Atari.ttf]])
LSM:Register("font", "Army", [[Interface\AddOns\PsychoUI\Fonts\Army.ttf]])
LSM:Register("font", "Starcraft_Normal", [[Interface\AddOns\PsychoUI\Fonts\Starcraft_Normal.ttf]])
LSM:Register("font", "Emblem", [[Interface\AddOns\PsychoUI\Fonts\Emblem.ttf]])
LSM:Register("font", "AdamWarrenPro", [[Interface\AddOns\PsychoUI\Fonts\AdamWarrenPro.ttf]])
LSM:Register("font", "BitstreamVeraSerif", [[Interface\AddOns\PsychoUI\Fonts\BitstreamVeraSerif.ttf]])
LSM:Register("font", "Roboto", [[Interface\AddOns\PsychoUI\Fonts\Roboto.ttf]])
LSM:Register("font", "Pepsi", [[Interface\AddOns\PsychoUI\Fonts\Pepsi.ttf]])
LSM:Register("font", "FuturaBold", [[Interface\AddOns\PsychoUI\Fonts\FuturaBold.ttf]])
LSM:Register("font", "SF Comic Script", [[Interface\AddOns\PsychoUI\Fonts\SF Comic Script.ttf]])
LSM:Register("font", "Pixel", [[Interface\AddOns\PsychoUI\Fonts\Pixel.ttf]])
LSM:Register("font", "Myriad", [[Interface\AddOns\PsychoUI\Fonts\Myriad.ttf]])
LSM:Register("font", "DejaVuSans", [[Interface\AddOns\PsychoUI\Fonts\DejaVuSans.ttf]])
LSM:Register("font", "Folkard", [[Interface\AddOns\PsychoUI\Fonts\Folkard.ttf]])
LSM:Register("font", "LifeCraft", [[Interface\AddOns\PsychoUI\Fonts\LifeCraft.ttf]])

LSM:Register("statusbar", "Modern", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Modern.tga]])
LSM:Register("statusbar", "Flat", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Flat.blp]])
LSM:Register("statusbar", "Gradient", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Gradient.blp]])
LSM:Register("statusbar", "Gloss", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Gloss.blp]])
LSM:Register("statusbar", "Smooth", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Smooth.blp]])
LSM:Register("statusbar", "Ace", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Ace.tga]])
LSM:Register("statusbar", "LiteStep", [[Interface\AddOns\PsychoUI\Textures\Statusbars\LiteStep.tga]])
LSM:Register("statusbar", "Rainbow", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Rainbow.tga]])
LSM:Register("statusbar", "CellShade", [[Interface\AddOns\PsychoUI\Textures\Statusbars\CellShade.blp]])
LSM:Register("statusbar", "BantoBar", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BantoBar.tga]])
LSM:Register("statusbar", "Glassy", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Glassy.tga]])
LSM:Register("statusbar", "BlueDuo", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlueDuo.blp]])
LSM:Register("statusbar", "BrownShade", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BrownShade.blp]])
LSM:Register("statusbar", "OldBook", [[Interface\AddOns\PsychoUI\Textures\Statusbars\OldBook.blp]])
LSM:Register("statusbar", "TwoTone", [[Interface\AddOns\PsychoUI\Textures\Statusbars\TwoTone.tga]])
LSM:Register("statusbar", "BlueGreeHalf", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlueGreeHalf.blp]])
LSM:Register("statusbar", "RedWarning", [[Interface\AddOns\PsychoUI\Textures\Statusbars\RedWarning.blp]])
LSM:Register("statusbar", "StopLight", [[Interface\AddOns\PsychoUI\Textures\Statusbars\StopLight.blp]])
LSM:Register("statusbar", "BlueLavender", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlueLavender.blp]])
LSM:Register("statusbar", "Dust", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Dust.blp]])
LSM:Register("statusbar", "Hearts", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Hearts.blp]])
LSM:Register("statusbar", "BottomFire", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BottomFire.blp]])
LSM:Register("statusbar", "BlueBubbles", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlueBubbles.blp]])
LSM:Register("statusbar", "Sunscape1", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Sunscape1.blp]])
LSM:Register("statusbar", "CamoStyle1", [[Interface\AddOns\PsychoUI\Textures\Statusbars\CamoStyle1.blp]])
LSM:Register("statusbar", "Clouds", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Clouds.blp]])
LSM:Register("statusbar", "BlueSky", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlueSky.blp]])
LSM:Register("statusbar", "Flamer", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Flamer.blp]])
LSM:Register("statusbar", "PowPow", [[Interface\AddOns\PsychoUI\Textures\Statusbars\PowPow.blp]])
LSM:Register("statusbar", "Snowy", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Snowy.blp]])
LSM:Register("statusbar", "Mist", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Mist.blp]])
LSM:Register("statusbar", "FirstWolves", [[Interface\AddOns\PsychoUI\Textures\Statusbars\FirstWolves.blp]])
LSM:Register("statusbar", "CamoStyle2", [[Interface\AddOns\PsychoUI\Textures\Statusbars\CamoStyle2.blp]])
LSM:Register("statusbar", "Rain", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Rain.blp]])
LSM:Register("statusbar", "RoseBar", [[Interface\AddOns\PsychoUI\Textures\Statusbars\RoseBar.blp]])
LSM:Register("statusbar", "FlowerBar1", [[Interface\AddOns\PsychoUI\Textures\Statusbars\FlowerBar1.blp]])
LSM:Register("statusbar", "FlowerBar2", [[Interface\AddOns\PsychoUI\Textures\Statusbars\FlowerBar2.blp]])
LSM:Register("statusbar", "FlowerBar3", [[Interface\AddOns\PsychoUI\Textures\Statusbars\FlowerBar3.blp]])
LSM:Register("statusbar", "Barbed", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Barbed.blp]])
LSM:Register("statusbar", "BluredRainbow", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BluredRainbow.blp]])
LSM:Register("statusbar", "BlingChain", [[Interface\AddOns\PsychoUI\Textures\Statusbars\BlingChain.blp]])
LSM:Register("statusbar", "TreeBar", [[Interface\AddOns\PsychoUI\Textures\Statusbars\TreeBar.blp]])
LSM:Register("statusbar", "Carbon", [[Interface\AddOns\PsychoUI\Textures\Statusbars\Carbon.blp]])
LSM:Register("statusbar", "DarkGrey", [[Interface\AddOns\PsychoUI\Textures\Statusbars\DarkGrey.blp]])
LSM:Register("statusbar", "MediumGrey", [[Interface\AddOns\PsychoUI\Textures\Statusbars\MediumGrey.blp]])
LSM:Register("statusbar", "LightGrey", [[Interface\AddOns\PsychoUI\Textures\Statusbars\LightGrey.blp]])








