--[[
##################
PsychoUI: keivamp#
##################
]]--
local PsychoUI = LibStub("AceAddon-3.0"):GetAddon("PsychoUI")

-- function truncate(number, decimals)
    -- return number - (number % (0.1 ^ decimals))
-- end
-- local number = truncate(393565/1000, 1)
-- print(number)
local function CheckReset()

	if PsychoUI.db.char.ResetBox == true then 
	--print(PsychoUI.db.char.ResetBox)
		PsychoUI.db.char.lockframes = true
		PsychoUI.db.char.enabled = false
		PsychoUI.db.char.XPWidth = 350
		PsychoUI.db.char.XPHeight = 15
		PsychoUI.db.char.XPMoveX = -230
		PsychoUI.db.char.XPMoveY = -10
		PsychoUI.db.char.ShowRested = true
		PsychoUI.db.char.ShowMaxXP = true
		PsychoUI.db.char.ShowMinXP = true
		PsychoUI.db.char.XPStatusBar = "Smooth"
		PsychoUI.db.char.XPCustomFont = true
		PsychoUI.db.char.XPFontKey = "ThisFont"
		PsychoUI.db.char.XPFontOutline = 4
		PsychoUI.db.char.XPFontSize = 12
		PsychoUI.db.char.XPTextY = 0
		PsychoUI.db.char.UseVertXP = false
		PsychoUI.db.char.UsePsychoUIXP = true	
		PsychoUI.db.char.RepWidth = 350
		PsychoUI.db.char.RepHeight = 15
		PsychoUI.db.char.RepMoveX = 230
		PsychoUI.db.char.RepMoveY = -10
		PsychoUI.db.char.UsePsychoUIRep = true
		PsychoUI.db.char.ShowFactionName = true
		PsychoUI.db.char.ShowMaxRep = true
		PsychoUI.db.char.ShowMinRep = true
		PsychoUI.db.char.RepStatusBar = "Smooth"
		PsychoUI.db.char.RepCustomFont = true
		PsychoUI.db.char.RepFontKey = "ThisFont"
		PsychoUI.db.char.RepFontOutline = 4
		PsychoUI.db.char.RepFontSize = 12
		PsychoUI.db.char.RepTextY = 0
		PsychoUI.db.char.UseVertRep = false
		PsychoUI.db.char.AzeWidth = 350
		PsychoUI.db.char.AzeHeight = 15
		PsychoUI.db.char.AzeMoveX = -230
		PsychoUI.db.char.AzeMoveY = -35
		PsychoUI.db.char.UsePsychoUIAze = true
		PsychoUI.db.char.AzeritePower = true
		PsychoUI.db.char.ShowMaxAze = true
		PsychoUI.db.char.ShowMinAze = true
		PsychoUI.db.char.AzeCustomFont = true
		PsychoUI.db.char.AzeStatusBar = "Smooth"
		PsychoUI.db.char.AzeFontKey = "ThisFont"
		PsychoUI.db.char.AzeFontOutline = 4
		PsychoUI.db.char.AzeFontSize = 12
		PsychoUI.db.char.AzeTextY = 0
		PsychoUI.db.char.UseVertAze = false
		PsychoUI.db.char.MicroScale = 1
		PsychoUI.db.char.MicroDisable = false
		
		PsychoUI.db.char.BagDisable = false
		PsychoUI.db.char.BagsScale = 1
		PsychoUI.db.char.OnlyMainBag = false
		PsychoUI.db.char.BagsBlackBorder = false
		PsychoUI.db.char.BagsNoBorder = false
		PsychoUI.db.char.BagsBorderSize = 6
		PsychoUI.db.char.BagsBorderPadding = 0
		
		-- PsychoUI.db.char.ABDisable = false
		-- PsychoUI.db.char.AB1ButtonSize = 40
		-- PsychoUI.db.char.AB1ButtonSpacing = 5
		-- PsychoUI.db.char.AB2ButtonSize = 40
		-- PsychoUI.db.char.AB2ButtonSpacing = 5
		-- PsychoUI.db.char.AB3ButtonSize = 40
		-- PsychoUI.db.char.AB3ButtonSpacing = 5
		-- PsychoUI.db.char.AB4ButtonSize = 40
		-- PsychoUI.db.char.AB4ButtonSpacing = 5
		-- PsychoUI.db.char.AB5ButtonSize = 40
		-- PsychoUI.db.char.AB5ButtonSpacing = 5
		-- PsychoUI.db.char.ABPetButtonSize = 28
		-- PsychoUI.db.char.ABPetButtonSpacing = 5
		-- PsychoUI.db.char.ABStanceButtonSize = 28
		-- PsychoUI.db.char.ABStanceButtonSpacing = 5
		-- PsychoUI.db.char.ABBlackBorder = false
		-- PsychoUI.db.char.ABNoBorder = false
		-- PsychoUI.db.char.ABBorderSize = 8
		-- PsychoUI.db.char.ABBorderPadding = 1
		PsychoUI.db.char.MMDisable = false

		PsychoUI.db.char.MMNoBorder = false
		PsychoUI.db.char.MMBlackBorder = false
		PsychoUI.db.char.MMBorderSize = 8
		PsychoUI.db.char.MMBorderPadding = 2
		PsychoUI.db.char.MiniMapHeight = 175
		PsychoUI.db.char.MiniMapWidth = 175
		PsychoUI.db.char.ZonefontFontKey = "ThisFont"
		PsychoUI.db.char.ZoneFontOutline = 4
		PsychoUI.db.char.ZoneFontSize = 15
		PsychoUI.db.char.ZoneTextY = 0
		PsychoUI.db.char.TimefontFontKey = "ThisFont"
		PsychoUI.db.char.TimeFontOutline = 4
		PsychoUI.db.char.TimeFontSize = 18
		PsychoUI.db.char.TimeY = -30
		PsychoUI.db.char.AutoVender = true
		PsychoUI.db.char.AutoRepair = true
		PsychoUI.db.char.DisablePlates = false
		PsychoUI.db.char.NPStatusBar = "Smooth"
		PsychoUI.db.char.NPFontKey = "Numbers"
		PsychoUI.db.char.NPFontOutline = 3
		PsychoUI.db.char.NPFontSize = 9
		PsychoUI.db.char.ShowName = true
		PsychoUI.db.char.ShowLevel = true
		PsychoUI.db.char.ShowElite = true
		PsychoUI.db.char.ShowFloatingCombatText = true
		PsychoUI.db.char.NPNoBorder = false
		PsychoUI.db.char.NPBlackBorder = false
		PsychoUI.db.char.NPBorderSize = 8
		PsychoUI.db.char.NPBorderPadding = 2
		PsychoUI.db.char.NPStatusBar = "Smooth"
		PsychoUI.db.char.NPLevelFont = "Numbers"
		PsychoUI.db.char.NPLevelFontOutline = 3
		PsychoUI.db.char.NPLevelFontSize = 9
		PsychoUI.db.char.NPHealthFont = "Numbers"
		PsychoUI.db.char.NPHealthFontOutline = 3
		PsychoUI.db.char.NPHealthFontSize = 9
		PsychoUI.db.char.NPDisableAuras = false
		PsychoUI.db.char.QuestFrame = true
		PsychoUI.db.char.QuestFontKey = "ThisFont"
		PsychoUI.db.char.QuestFontOutline = 4
		PsychoUI.db.char.QuestFontSize = 16
		PsychoUI.db.char.ComabatAlert = true
		PsychoUI.db.char.AFK = true
		PsychoUI.db.char.ShowGold = true
		PsychoUI.db.char.GoldFontKey = "ThisFont"
		PsychoUI.db.char.GoldFontOutline = 3
		PsychoUI.db.char.GoldFontSize = 14
		PsychoUI.db.char.ShowDura = true

		PsychoUI.db.char.DuraFontKey = "ThisFont"
		PsychoUI.db.char.DuraFontOutline = 3
		PsychoUI.db.char.DuraFontSize = 14
		PsychoUI.db.char.PFDisable = false
		PsychoUI.db.char.PFDisableAuras = false
		PsychoUI.db.char.PFDisablePortrait = false
		PsychoUI.db.char.PFDisableHealthPercent = false
		PsychoUI.db.char.PFDisableHealth = false
		PsychoUI.db.char.HealthFont = "Numbers"
		PsychoUI.db.char.HealthFontOutline = 3
		PsychoUI.db.char.HealthFontSize = 11
		PsychoUI.db.char.PFDisableManaPercent = false
		PsychoUI.db.char.PFDisableMana = false
		PsychoUI.db.char.ManaFont = "Numbers"
		PsychoUI.db.char.ManaFontOutline = 3
		PsychoUI.db.char.ManaFontSize = 11
		PsychoUI.db.char.PFDisableLevel = false
		PsychoUI.db.char.LevelFont = "Numbers"
		PsychoUI.db.char.LevelFontOutline = 3
		PsychoUI.db.char.LevelFontSize = 12
		PsychoUI.db.char.PFDisableName = false
		PsychoUI.db.char.NameFont = "Dialog"
		PsychoUI.db.char.NameFontOutline = 3
		PsychoUI.db.char.NameFontSize = 14
		PsychoUI.db.char.PFDisablePortraitBG = false
		PsychoUI.db.char.PortraitBGBlackOut = false
		PsychoUI.db.char.PFNoBorder = false
		PsychoUI.db.char.PFBlackBorder = false
		PsychoUI.db.char.PFBorderSize = 8
		PsychoUI.db.char.PFBorderPadding = 2
		PsychoUI.db.char.PFStatusBarHealth = "Smooth"
		PsychoUI.db.char.PFStatusBarPower = "Smooth"
		PsychoUI.db.char.PFDisableCB = false
		PsychoUI.db.char.PFStatusBarCB = "Smooth"
		PsychoUI.db.char.PFStatusBarAltPower = "Smooth"
		PsychoUI.db.char.PFStatusBarClassPower = "Smooth"
		PsychoUI.db.char.PFScale = 1
		PsychoUI.db.char.PFCFNameFont = "Numbers"
		PsychoUI.db.char.PFCFNameFontOutline = 3
		PsychoUI.db.char.PFCFNameFontSize = 18
		PsychoUI.db.char.PlayerFloatingCombatText = true
		PsychoUI.db.char.PFPetDisable = false
		PsychoUI.db.char.PFPetDisableAuras = false
		PsychoUI.db.char.PFPetDisablePortraitBG = false
		PsychoUI.db.char.PFPetDisableHealthPercent = false
		PsychoUI.db.char.PFPetDisableHealth = false
		PsychoUI.db.char.PetHealthFont = "Numbers"
		PsychoUI.db.char.PetHealthFontOutline = 3
		PsychoUI.db.char.PetHealthFontSize = 9
		PsychoUI.db.char.PFPetDisableManaPercent = false
		PsychoUI.db.char.PFPetDisableMana = false
		PsychoUI.db.char.PetManaFont = "Numbers"
		PsychoUI.db.char.PetManaFontOutline = 3
		PsychoUI.db.char.PetManaFontSize = 8
		PsychoUI.db.char.PFPetDisableLevel = false
		PsychoUI.db.char.PetLevelFont = "Numbers"
		PsychoUI.db.char.PetLevelFontOutline = 3
		PsychoUI.db.char.PetLevelFontSize = 11
		PsychoUI.db.char.PFPetDisableName = false
		PsychoUI.db.char.PetNameFont = "Dialog"
		PsychoUI.db.char.PetNameFontOutline = 3
		PsychoUI.db.char.PetNameFontSize = 12
		PsychoUI.db.char.PFPetDisablePortrait = false
		PsychoUI.db.char.PetPortraitBGBlackOut = false
		PsychoUI.db.char.PFPetNoBorder = false
		PsychoUI.db.char.PFPetBlackBorder = false
		PsychoUI.db.char.PFPetBorderSize = 8
		PsychoUI.db.char.PFPetBorderPadding = 2
		PsychoUI.db.char.PFPetStatusBarHealth = "Smooth"
		PsychoUI.db.char.PFPetStatusBarPower = "Smooth"
		PsychoUI.db.char.PFPetDisableCB = false
		PsychoUI.db.char.PFPetStatusBarCB = "Smooth"
		PsychoUI.db.char.PFPetScale = 1
		
		PsychoUI.db.char.TargetFrameFCFNameFont = "Numbers"
		PsychoUI.db.char.TargetFrameFCFNameFontOutline = 3
		PsychoUI.db.char.TargetFrameFCFNameFontSize = 18
		PsychoUI.db.char.TargetFrameFloatingCombatText = true
		PsychoUI.db.char.TargetFrameDisable = false
		PsychoUI.db.char.TargetFrameDisableAuras = false
		PsychoUI.db.char.TargetFrameDisableHealthPercent = false
		PsychoUI.db.char.TargetFrameDisableHealth = false
		PsychoUI.db.char.TargetFrameHealthFont = "Numbers"
		PsychoUI.db.char.TargetFrameHealthFontOutline = 3
		PsychoUI.db.char.TargetFrameHealthFontSize = 11
		PsychoUI.db.char.TargetFrameDisableManaPercent = false
		PsychoUI.db.char.TargetFrameDisableMana = false
		PsychoUI.db.char.TargetFrameManaFont = "Numbers"
		PsychoUI.db.char.TargetFrameManaFontOutline = 3
		PsychoUI.db.char.TargetFrameManaFontSize = 11
		PsychoUI.db.char.TargetFrameDisableLevel = false
		PsychoUI.db.char.TargetFrameLevelFont = "Numbers"
		PsychoUI.db.char.TargetFrameLevelFontOutline = 3
		PsychoUI.db.char.TargetFrameLevelFontSize = 12
		PsychoUI.db.char.TargetFrameDisableName = false
		PsychoUI.db.char.TargetFrameNameFont = "Dialog"
		PsychoUI.db.char.TargetFrameNameFontOutline = 3
		PsychoUI.db.char.TargetFrameNameFontSize = 14
		PsychoUI.db.char.TargetFrameDisablePortrait = false
		PsychoUI.db.char.TargetFrameNoBorder = false
		PsychoUI.db.char.TargetFrameBorderSize = 8
		PsychoUI.db.char.TargetFrameBorderPadding = 2
		PsychoUI.db.char.TargetFrameStatusBarHealth = "Smooth"
		PsychoUI.db.char.TargetFrameStatusBarPower = "Smooth"
		PsychoUI.db.char.TargetFrameDisableCB = false
		PsychoUI.db.char.TargetFrameStatusBarCB = "Smooth"
		PsychoUI.db.char.TargetFrameScale = 1
		
		PsychoUI.db.char.ToTFrameDiable = false
		PsychoUI.db.char.ToTFrameScale = 1
		PsychoUI.db.char.ToTFrameNoBorder = false
		PsychoUI.db.char.ToTFrameBorderSize = 8
		PsychoUI.db.char.ToTFrameBorderPadding = 2
		PsychoUI.db.char.ToTFrameStatusBarHealth = "Smooth"
		PsychoUI.db.char.ToTFrameStatusBarPower = "Smooth"
		PsychoUI.db.char.ToTFrameDisableHealth = false
		PsychoUI.db.char.ToTFrameHealthFont = "Numbers"
		PsychoUI.db.char.ToTFrameHealthFontOutline = 3
		PsychoUI.db.char.ToTFrameHealthFontSize = 10
		PsychoUI.db.char.ToTFrameDisableMana = false
		PsychoUI.db.char.ToTFrameManaFont = "Numbers"
		PsychoUI.db.char.ToTFrameManaFontOutline = 3
		PsychoUI.db.char.ToTFrameManaFontSize = 10
		PsychoUI.db.char.ToTFrameDisableName = false
		PsychoUI.db.char.ToTFrameNameFont = "Dialog"
		PsychoUI.db.char.ToTFrameNameFontOutline = 3
		PsychoUI.db.char.ToTFrameNameFontSize = 12
		

		PsychoUI.db.char.FocusFrameDisable = false
		PsychoUI.db.char.FocusFrameDisableAuras = false
		PsychoUI.db.char.FocusFrameDisableHealthPercent = false
		PsychoUI.db.char.FocusFrameDisableHealth = false
		PsychoUI.db.char.FocusFrameHealthFont = "Numbers"
		PsychoUI.db.char.FocusFrameHealthFontOutline = 3
		PsychoUI.db.char.FocusFrameHealthFontSize = 11
		PsychoUI.db.char.FocusFrameDisableManaPercent = false
		PsychoUI.db.char.FocusFrameDisableMana = false
		PsychoUI.db.char.FocusFrameManaFont = "Numbers"
		PsychoUI.db.char.FocusFrameManaFontOutline = 3
		PsychoUI.db.char.FocusFrameManaFontSize = 11
		PsychoUI.db.char.FocusFrameDisableLevel = false
		PsychoUI.db.char.FocusFrameLevelFont = "Numbers"
		PsychoUI.db.char.FocusFrameLevelFontOutline = 3
		PsychoUI.db.char.FocusFrameLevelFontSize = 12
		PsychoUI.db.char.FocusFrameDisableName = false
		PsychoUI.db.char.FocusFrameNameFont = "Dialog"
		PsychoUI.db.char.FocusFrameNameFontOutline = 3
		PsychoUI.db.char.FocusFrameNameFontSize = 14
		PsychoUI.db.char.FocusFrameDisablePortrait = false
		PsychoUI.db.char.FocusFrameNoBorder = false
		PsychoUI.db.char.FocusFrameBorderSize = 8
		PsychoUI.db.char.FocusFrameBorderPadding = 2
		PsychoUI.db.char.FocusFrameStatusBarHealth = "Smooth"
		PsychoUI.db.char.FocusFrameStatusBarPower = "Smooth"
		PsychoUI.db.char.FocusFrameDisableCB = false
		PsychoUI.db.char.FocusFrameStatusBarCB = "Smooth"
		PsychoUI.db.char.FocusFrameScale = 1
		
		PsychoUI.db.char.FTFrameDiable = false
		PsychoUI.db.char.FTFrameScale = 1
		PsychoUI.db.char.FTFrameNoBorder = false
		PsychoUI.db.char.FTFrameBorderSize = 8
		PsychoUI.db.char.FTFrameBorderPadding = 2
		PsychoUI.db.char.FTFrameStatusBarHealth = "Smooth"
		PsychoUI.db.char.FTFrameStatusBarPower = "Smooth"
		PsychoUI.db.char.FTFrameDisableHealth = false
		PsychoUI.db.char.FTFrameHealthFont = "Numbers"
		PsychoUI.db.char.FTFrameHealthFontOutline = 3
		PsychoUI.db.char.FTFrameHealthFontSize = 10
		PsychoUI.db.char.FTFrameDisableMana = false
		PsychoUI.db.char.FTFrameManaFont = "Numbers"
		PsychoUI.db.char.FTFrameManaFontOutline = 3
		PsychoUI.db.char.FTFrameManaFontSize = 10
		PsychoUI.db.char.FTFrameDisableName = false
		PsychoUI.db.char.FTFrameNameFont = "Dialog"
		PsychoUI.db.char.FTFrameNameFontOutline = 3
		PsychoUI.db.char.FTFrameNameFontSize = 12		
		PsychoUI.db.char.EnableParty = true
		PsychoUI.db.char.EnableRaid = true
		PsychoUI.db.char.SoloParty = false
		PsychoUI.db.char.SoloRaid = false		
		PsychoUI.db.char.ChatKey = "Dialog"
		PsychoUI.db.char.ChatEditKey = "Dialog"
		PsychoUI.db.char.ChatTabKey = "Numbers"	
		PsychoUI.db.char.DuraX = -225
		PsychoUI.db.char.DuraY = -5		
		PsychoUI.db.char.GoldX = -285
		PsychoUI.db.char.GoldY = 5		
		-- PsychoUI.db.char.BagsX = -5
		-- PsychoUI.db.char.BagsY = 5		
		-- PsychoUI.db.char.MicroX = 10
		-- PsychoUI.db.char.MicroY = -10		
		PsychoUI.db.char.MiniMapX = -25
		PsychoUI.db.char.MiniMapY = -25		
		PsychoUI.db.char.VehicleX = 200
		PsychoUI.db.char.VehicleY = 0	
		PsychoUI.db.char.PlayerX = -235
		PsychoUI.db.char.PlayerY = -250		
		PsychoUI.db.char.TargetX = 35
		PsychoUI.db.char.TargetY = -250		
		PsychoUI.db.char.PetX = -390
		PsychoUI.db.char.PetY = -360		
		PsychoUI.db.char.TotX = 235
		PsychoUI.db.char.TotY = -335		
		PsychoUI.db.char.FocusTX = -435
		PsychoUI.db.char.FocusTY = -35		
		PsychoUI.db.char.FocusX = -535
		PsychoUI.db.char.FocusY = 75		
		PsychoUI.db.char.PartyX = 120
		PsychoUI.db.char.PartyY = -250		
		PsychoUI.db.char.RaidX = 30
		PsychoUI.db.char.RaidY = -120
		
		-- PsychoUI.db.char.AB1X = -80
		-- PsychoUI.db.char.AB1Y = 30
		-- PsychoUI.db.char.AB1Layout = 1
		-- PsychoUI.db.char.AB2X = -80
		-- PsychoUI.db.char.AB2Y = 75
		-- PsychoUI.db.char.AB2Layout = 1
		-- PsychoUI.db.char.AB3X = -80
		-- PsychoUI.db.char.AB3Y = 120
		-- PsychoUI.db.char.AB3Layout = 1
		-- PsychoUI.db.char.AB4X = -180
		-- PsychoUI.db.char.AB4Y = 0
		-- PsychoUI.db.char.AB4Layout = 6
		-- PsychoUI.db.char.AB5X = -360
		-- PsychoUI.db.char.AB5Y = 0
		-- PsychoUI.db.char.AB5Layout = 6
		-- PsychoUI.db.char.PetBarX = 0
		-- PsychoUI.db.char.PetBarY = 160
		-- PsychoUI.db.char.StanceX = -425
		-- PsychoUI.db.char.StanceY = 160
		

		--Turn off the Reset --
		PsychoUI.db.char.ResetBox = false
	end
end
ResetFrame = CreateFrame("Frame", nil, UIParent);
ResetFrame:HookScript("OnUpdate",CheckReset) 
