﻿--[[
######################
PsychoUI by: keivamp #
######################
]]--

	local addonName, addon = ...
	addon[1] = {} -- Gloable
	addon[2] = {} -- Function
	addon[3] = {} -- Config
	addon[4] = {} -- Locale
	local G, F, C, L = unpack(select(2,...))
	local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]

	function GetMinimapShape() return "SQUARE" end
	local minimapShape = GetMinimapShape and GetMinimapShape() or "ROUND"
	local MiniMapX = -25
	local MiniMapY = -25

	Minimap:ClearAllPoints()
	Minimap:SetPoint("TOPRIGHT", UIParent, MiniMapX, MiniMapY)

	Minimap:SetScale(1.15)
	MinimapBorder:Hide()
	MinimapBorderTop:Hide()

	MinimapZoomIn:ClearAllPoints()
	MinimapZoomIn:SetPoint("RIGHT", Minimap, 25, 0)

	MinimapZoomOut:ClearAllPoints()
	MinimapZoomOut:SetPoint("RIGHT", Minimap, 25, -25)

	GarrisonLandingPageMinimapButton:ClearAllPoints()
	GarrisonLandingPageMinimapButton:SetPoint("BOTTOMRIGHT", Minimap, 25, -25)

	GameTimeFrame:ClearAllPoints()
	GameTimeFrame:SetPoint("TOPRIGHT", Minimap, 25, -5)

	MinimapNorthTag:ClearAllPoints()
	MinimapNorthTag:SetPoint("TOP", Minimap, 0, 0)
	MinimapNorthTag:SetScale(1.25)

	MinimapCluster:EnableMouse(false)

	-- Set Square Map Mask
	Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')
	Minimap:CreateBeautyBorder(8)
	Minimap:SetBeautyBorderPadding(2)
	Minimap:SetBeautyBorderTexture("white")
	Minimap:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)

	Minimap:SetSize(175,175)

	local function DatabaseCheck()
		BuffFrame:ClearAllPoints() 
		BuffFrame:SetPoint("TOPLEFT",Minimap,-80,-10)
			
	end
	local DB_Check_Frame = CreateFrame("Frame")	
	DB_Check_Frame:HookScript("OnUpdate", DatabaseCheck)

	if not IsAddOnLoaded("Blizzard_TimeManager") then
		LoadAddOn("Blizzard_TimeManager")
	local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
	clockFrame:Hide()
	clockTime:SetFont("Interface\\Addons\\PsychoUI\\Fonts\\Dialog.TTF", 18, "OUTLINE")
	clockTime:SetTextColor(1, 1, 1)
	TimeManagerClockButton:SetPoint("BOTTOM", Minimap, "BOTTOM", 0, -25)
	clockTime:Show()
	end
	local mmt = MiniMapTracking
	mmt:ClearAllPoints()
	mmt:SetPoint("TOPLEFT", Minimap, -30, 10)
	mmt:CreateBeautyBorder(8)
	mmt:SetBeautyBorderPadding(-6)
	mmt:SetBeautyBorderTexture("white")
	mmt:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
	MiniMapTrackingBackground:SetAlpha(0)
	MiniMapTrackingButton:SetAlpha(0)

	local mm = MiniMapMailFrame
	mm:ClearAllPoints()
	mm:SetPoint("TOPLEFT", Minimap, -30, -55)
	mm:SetScale(1)	
	mm:CreateBeautyBorder(8)
	mm:SetBeautyBorderPadding(-6)
	mm:SetBeautyBorderTexture("white")
	mm:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
	MiniMapMailBorder:SetAlpha(0)

	local QSMB = QueueStatusMinimapButton
	QSMB:ClearAllPoints()
	QSMB:SetPoint("BOTTOMLEFT", Minimap, -30, -7)
	QSMB:SetScale(1.3)	
	QSMB:CreateBeautyBorder(4)
	QSMB:SetBeautyBorderPadding(-6)
	QSMB:SetBeautyBorderTexture("white")
	QSMB:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
	QueueStatusMinimapButtonBorder:SetAlpha(0)

	local zoneTextFrame = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	zoneTextFrame:SetPoint("TOP", Minimap, "TOP", -100, 24)	
	zoneTextFrame:SetSize(400,20)

	MinimapZoneText:SetParent(zoneTextFrame)
	MinimapZoneText:ClearAllPoints()
	MinimapZoneText:SetSize(400,25)
	MinimapZoneText:SetPoint("BOTTOM", zoneTextFrame, "BOTTOM", 0, -2)
	MinimapZoneText:SetJustifyH("RIGHT")
	MinimapZoneText:SetFont("Interface\\Addons\\PsychoUI\\Fonts\\Dialog.TTF", 15, "OUTLINE")

Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(self, d)
	if d > 0 then
		_G.MinimapZoomIn:Click()
	elseif d < 0 then
		_G.MinimapZoomOut:Click()
	end
end)