﻿--[[
##########################################################
PsychoUI: keivamp
##########################################################
]]--

local addonName, addon = ...
addon[1] = {} -- Gloable
addon[2] = {} -- Function
addon[3] = {} -- Config
addon[4] = {} -- Locale

local G, F, C, L = unpack(select(2,...))
local MiniMapX = -25
local MiniMapY = -25

local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
	
		
		LoadAddOn('Blizzard_TimeManager')
local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
clockFrame:Hide()
clockTime:Show()
clockTime:SetSize(100,50)
clockTime:SetFont("Interface\\Addons\\PsychoUI\\Fonts\\Dialog.TTF", 18, "OUTLINE")
clockTime:SetScale(1.2)
TimeManagerClockButton:ClearAllPoints()
TimeManagerClockButton:SetPoint('TOP', Minimap, 'BOTTOM', 0,-5)
clockTime:SetTextColor(1, 1, 1)
	
MinimapBorderTop:Hide()					
MinimapBorder:Hide()						
MinimapZoneTextButton:SetParent(Minimap)		
MinimapZoneTextButton:ClearAllPoints()
MinimapZoneTextButton:SetPoint("BOTTOM", Minimap, "BOTTOM", 0, 5)				
MinimapZoomIn:Hide()						
MinimapZoomOut:Hide()	
MinimapZoneText:SetFont("Interface\\Addons\\PsychoUI\\Fonts\\Dialog.TTF", 14, "OUTLINE")
					
MinimapNorthTag:ClearAllPoints()
MinimapNorthTag:SetPoint("TOP", Minimap, 0, 0)
MinimapNorthTag:SetScale(1.25)

local ThisTexture = ("")
		if  UnitClass("player") == "Paladin" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonPaladin")
		end
		if  UnitClass("player") == "Death Knight" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonDeathKnight")
		end
		if  UnitClass("player") == "Demon Hunter" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonDemonHunter")
		end
		if  UnitClass("player") == "Druid" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonDruid")
		end
		if  UnitClass("player") == "Hunter" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonHunter")
		end
		if  UnitClass("player") == "Mage" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonMage")
		end
		if  UnitClass("player") == "Rogue" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonRogue")
		end
		if  UnitClass("player") == "Shaman" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonShaman")
		end
		if  UnitClass("player") == "Warlock" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonWarlock")
		end
		if  UnitClass("player") == "Monk" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonMonk")
		end
		if  UnitClass("player") == "Warrior" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonWarrior")
		end
		if  UnitClass("player") == "Priest" then
			ThisTexture =("Interface\\Addons\\PsychoUI\\Textures\\Maps Buttons\\MapButtonPriest")
		end
Minimap:SetMaskTexture([=[Interface\ChatFrame\ChatFrameBackground]=])


Minimap:SetBackdrop({bgFile = ThisTexture, insets = {top = -10, left = -10, bottom = -10, right = -12}})	
local color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]

Minimap:SetSize(200,200)

Minimap:ClearAllPoints()
Minimap:SetPoint("TOPRIGHT", UIParent, MiniMapX, MiniMapY)

function GetMinimapShape() return "SQUARE" end
end)
	local function DatabaseCheck()
	BuffFrame:ClearAllPoints() 
	BuffFrame:SetPoint("TOPLEFT",Minimap,-80,-10)
		
	end
local DB_Check_Frame = CreateFrame("Frame")	
DB_Check_Frame:HookScript("OnUpdate", DatabaseCheck)



local mm = MiniMapMailFrame
mm:ClearAllPoints()
mm:SetPoint("topright", Minimap, 17, -55)	

local mmt = MiniMapTracking
mmt:ClearAllPoints()
mmt:SetPoint("TOPLEFT", Minimap, -30, 10)

QueueStatusMinimapButton:ClearAllPoints()
QueueStatusMinimapButton:SetPoint("BOTTOMLEFT", Minimap, -30, -20)

Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(_, zoom)
    if zoom > 0 then
        Minimap_ZoomIn()
    else
        Minimap_ZoomOut()
    end
end)

