--[[
keivamp's quest tracker
]]--

	local color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]
				local MyRed = color.r 
				local MyGreen = color.g 
				local MyBlue = color.b 
	
	local MyQuestFrame = CreateFrame("Frame",nil,Minimap, BackdropTemplateMixin and "BackdropTemplate")
		MyQuestFrame:SetFrameLevel(10)
		MyQuestFrame:SetWidth(256) -- Set these to whatever height/width is needed 
		MyQuestFrame:SetHeight(128) -- for your Texture
		MyQuestFrame:SetScale(0.45)
		MyQuestFrame:SetPoint("BOTTOMLEFT",-250,-225)
		MyQuestFrame:SetAlpha(1)
		MyQuestFrame:SetMovable(true)
		MyQuestFrame:EnableMouse(true)
		MyQuestFrame:RegisterForDrag("LeftButton")
		MyQuestFrame:SetScript("OnDragStart", MyQuestFrame.StartMoving)
		MyQuestFrame:SetScript("OnDragStop", MyQuestFrame.StopMovingOrSizing)
		MyQuestFrame:SetClampedToScreen(true)
		MyQuestFrame:SetClampRectInsets(0, 0, 0,0)
		MyQuestFrame:SetUserPlaced(true)

		
		local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		
			local MyQuestFrametex = MyQuestFrame:CreateTexture(nil, "BACKGROUND")
			MyQuestFrametex:SetAllPoints()
			MyQuestFrametex:SetVertexColor(MyRed, MyGreen, MyBlue, 0.85);
			MyQuestFrametex:SetTexture("Interface\\Addons\\PsychoUI\\Textures\\QuestBar")
			MyQuestFrametex:SetWidth(128)
			MyQuestFrametex:SetHeight(56)
			ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:SetAlpha(1)
			ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:ClearAllPoints()
			ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:SetPoint("LEFT", MyQuestFrame,"BOTTOMLEFT", -50,30)

			
		end)

local function SetQuestFrame()
	ObjectiveTrackerFrame:ClearAllPoints()
	ObjectiveTrackerFrame:SetPoint("TOP", MyQuestFrame,"BOTTOM", 56,28)
	ObjectiveTrackerFrame:SetScale(1.1)
	ObjectiveTrackerFrame:SetWidth(300) 
	ObjectiveTrackerFrame:SetHeight(600) 
	ObjectiveTrackerBlocksFrame.QuestHeader.Text:Hide()
	ObjectiveTrackerBlocksFrame.QuestHeader.Background:Hide()
	ObjectiveTrackerBlocksFrame.QuestHeader.LineGlow:Hide()
	ObjectiveTrackerBlocksFrame.QuestHeader.LineSheen:Hide()
	ObjectiveTrackerBlocksFrame.QuestHeader.SoftGlow:Hide()
	ObjectiveTrackerBlocksFrame.QuestHeader.StarBurst:Hide()
	local frame = _G.ObjectiveTrackerFrame.MODULES
	if frame then
		for i = 1, #frame do
			local modules = frame[i]
			if modules then
				modules.Header.Background:SetAtlas(nil)

				 local text = modules.Header.Text
				 text:SetFont("Interface\\AddOns\\PsychoUI\\Fonts\\Cooline.ttf", 15, "THINOUTLINE");
				 text:SetTextColor(0.28,0.75,1)
				 text:SetParent(modules.Header)
			end
		end
	end
end

ObjectiveTrackerFrame:HookScript("OnUpdate", SetQuestFrame)