--[[
##################
PsychoUI: keivamp#
##################
]]--
local PsychoUI = LibStub("AceAddon-3.0"):GetAddon("PsychoUI")
local LSM = LibStub and LibStub:GetLibrary("LibSharedMedia-3.0", true)
local isHeartOfAzerothEquipped = C_AzeriteEmpoweredItem.IsHeartOfAzerothEquipped()
	if isHeartOfAzerothEquipped == false then return end
	
	local MyAzeriteXPWidth = 350
	local MyAzeriteXPHeight = 15
	local AzeX = -230
	local AzeY = -35
	local TextYbump = 0
	local AzeriteFrame = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	local MyAzeriteSettingsFrame = CreateFrame("Frame")

	local function CreateBackdrop(frame)
		frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
		insets = {top = 0, left = 0, bottom = 0, right = 0}})
		frame:SetBackdropColor(0,0,0,0.75)
		frame:SetBackdropBorderColor(0,0,0,1)
	end

	
	AzeriteFrame:EnableMouse(true)

	AzeriteFrame.bar = CreateFrame("StatusBar", nil, AzeriteFrame, BackdropTemplateMixin and "BackdropTemplate")
	AzeriteFrame.bar:SetPoint("TOPLEFT", 0, 0)
	AzeriteFrame.bar:SetPoint("TOPRIGHT", 0, 0)
	
	local AzeXPText = AzeriteFrame.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Med1")
	AzeXPText:SetPoint("LEFT", 2, 0)	
	--AzeXPText:SetJustifyH("RIGHT")
			
	local AzeXPMaxText = AzeriteFrame.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Med1")
	AzeXPMaxText:SetPoint("RIGHT", -2, 0)
	--AzeXPMaxText:SetJustifyH("LEFT")
			
	local AzeText = AzeriteFrame.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Med1")
	AzeText:SetPoint("CENTER", 0, 0)
	--AzeText:SetJustifyH("CENTER")


local function AzeMe()
	if PsychoUI.db.char.UsePsychoUIAze == false then return end

		AzeX = PsychoUI.db.char.AzeMoveX
		AzeY =  PsychoUI.db.char.AzeMoveY
		MyAzeriteXPWidth = PsychoUI.db.char.AzeWidth
		MyAzeriteXPHeight = PsychoUI.db.char.AzeHeight
		TextYbump = PsychoUI.db.char.AzeTextY

	--print(LSM:Fetch("statusbar", PsychoUI.db.char.AzeStatusBar))
	--print(LSM:Fetch("font", PsychoUI.db.char.AzeFontKey))
	local TheFontOutline = "NONE"
	if PsychoUI.db.char.AzeFontOutline == 1 then
	TheFontOutline = "NONE"
	elseif PsychoUI.db.char.AzeFontOutline == 2 then
	TheFontOutline = "MONOCHROMEOUTLINE"
	elseif PsychoUI.db.char.AzeFontOutline == 3 then
	TheFontOutline = "THINOUTLINE"
	elseif PsychoUI.db.char.AzeFontOutline == 4 then
	TheFontOutline = "THICKOUTLINE"
	end
	
	AzeXPText:SetPoint("LEFT", 2, 0+TextYbump)
	AzeXPMaxText:SetPoint("RIGHT", -2, 0+TextYbump)
	AzeText:SetPoint("CENTER", 0, 0+TextYbump)
		
	AzeriteFrame:SetHeight(MyAzeriteXPHeight)
	AzeriteFrame:SetWidth(MyAzeriteXPWidth)

	AzeriteFrame:ClearAllPoints()
	AzeriteFrame:SetPoint("TOP", UIParent, "TOP", AzeX,AzeY)

	AzeriteFrame:SetClampedToScreen(true)
	AzeriteFrame:SetClampRectInsets(0, 0, 0,0)
		
	AzeriteFrame:CreateBeautyBorder(4)
	AzeriteFrame:SetBeautyBorderPadding(1)
	AzeriteFrame:SetBeautyBorderTexture("white")
	
	CreateBackdrop(AzeriteFrame)
	if PsychoUI.db.char.UseVertAze == true then
		AzeriteFrame.bar:SetOrientation("VERTICAL")
		PsychoUI.db.char.AzeritePower = false
		PsychoUI.db.char.ShowMaxAze = false
		PsychoUI.db.char.ShowMinAze = false
	else
		AzeriteFrame.bar:SetOrientation("HORIZONTAL")
	end

	AzeriteFrame.bar:SetHeight(MyAzeriteXPHeight)
	AzeriteFrame.bar:SetStatusBarTexture(LSM:Fetch("statusbar", PsychoUI.db.char.AzeStatusBar))
	AzeriteFrame.bar:GetStatusBarTexture():SetHorizTile(false)
	AzeriteFrame.bar:GetStatusBarTexture():SetVertTile(false)
	AzeriteFrame.bar:SetStatusBarColor(0.9, 0.64, 0.37)
	AzeriteFrame:SetBeautyBorderColor(0.9, 0.64, 0.37,0.75)

	if PsychoUI.db.char.AzeCustomFont == false then 
	AzeText:SetFont("SystemFont_Med1", MyAzeriteXPHeight-4, "OUTLINE")
	AzeText:SetTextColor(1, 1, 1, 1);
	AzeXPMaxText:SetFont("SystemFont_Med1", MyAzeriteXPHeight-4, "OUTLINE")
	AzeXPMaxText:SetTextColor(1, 1, 1, 1);
	AzeXPText:SetFont("SystemFont_Med1", MyAzeriteXPHeight-4, "OUTLINE")	
	AzeXPText:SetTextColor(1, 1, 1, 1);
	else
	AzeText:SetFont(LSM:Fetch("font", PsychoUI.db.char.AzeFontKey), PsychoUI.db.char.AzeFontSize, TheFontOutline)
	AzeXPMaxText:SetFont(LSM:Fetch("font", PsychoUI.db.char.AzeFontKey), PsychoUI.db.char.AzeFontSize, TheFontOutline)
	AzeXPText:SetFont(LSM:Fetch("font", PsychoUI.db.char.AzeFontKey), PsychoUI.db.char.AzeFontSize, TheFontOutline)	
	end	

end	
MyAzeriteSettingsFrame:HookScript("OnUpdate",AzeMe) 
function truncate(number, decimals)
    return number - (number % (0.1 ^ decimals))
end
local function PsychoUIAzerite(self, event, ...)

			local isHeartOfAzerothEquipped = C_AzeriteEmpoweredItem.IsHeartOfAzerothEquipped()			
						
				if isHeartOfAzerothEquipped == true then	
					local azeriteItemLocation = C_AzeriteItem.FindActiveAzeriteItem(); 
					local xp, totalLevelXP = C_AzeriteItem.GetAzeriteItemXPInfo(azeriteItemLocation);
					local currentLevel = C_AzeriteItem.GetPowerLevel(azeriteItemLocation); 
					local xpToNextLevel = totalLevelXP - xp; 						
					AzeriteFrame:Show(); 						
					AzeriteFrame.bar:SetMinMaxValues(0, totalLevelXP)
					AzeriteFrame.bar:SetValue(xp)
					
					if PsychoUI.db.char.ShowMinAze == true then 
						if xp > 1000 then
							AzeXPText:SetText(truncate(xp/1000,1).."K")
						else
							AzeXPText:SetText(xp)
						end
					else
					AzeXPText:SetText("")
					end
					if PsychoUI.db.char.ShowMaxAze == true then 
						if totalLevelXP > 1000 then
							AzeXPMaxText:SetText(truncate(totalLevelXP/1000,1).."K")
						else
							AzeXPMaxText:SetText(totalLevelXP)	
						end
					
					else
					AzeXPMaxText:SetText("")
					end	
					if PsychoUI.db.char.AzeritePower == true then 
					AzeText:SetText("Azerite: "..currentLevel) 
					else
					AzeText:SetText("")
					end

				end	
				if isHeartOfAzerothEquipped == false then
						return
				end	
						
		
		end
		local PsychoUIAzeriteEvent = CreateFrame("FRAME")
		PsychoUIAzeriteEvent:SetScript("OnUpdate", PsychoUIAzerite)

	local function OnEvent(self)
			
		self:SetScript("OnEnter", function()
			
				local rested = GetXPExhaustion()
			
			GameTooltip:SetOwner(self, "ANCHOR_BOTTOM", 0, -10)
			GameTooltip:ClearAllPoints()
			GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 1)
			GameTooltip:ClearLines()
			local azeriteItemLocation = C_AzeriteItem.FindActiveAzeriteItem(); 
					local xp, totalLevelXP = C_AzeriteItem.GetAzeriteItemXPInfo(azeriteItemLocation);
					local currentLevel = C_AzeriteItem.GetPowerLevel(azeriteItemLocation); 
					local xpToNextLevel = totalLevelXP - xp; 
			--GameTooltip:AddLine(" ")
			GameTooltip:AddDoubleLine("Heart of Azeroth")
			GameTooltip:AddLine(" ")
			GameTooltip:AddDoubleLine(xp.." / "..totalLevelXP)
		
			GameTooltip:Show()
	
		end)
		
		self:SetScript("OnLeave", function() GameTooltip:Hide() end)
		end
		AzeriteFrame:SetScript("OnMouseDown", function(self, button)
		if button == "RightButton" then
			
			self:GetScript("OnEnter")(self)
		else
			ToggleCharacter("PaperDollFrame")
		end
	end)

	AzeriteFrame:SetScript("OnEvent", OnEvent)
	AzeriteFrame:HookScript("OnUpdate", OnEvent)