--[[
##################
PsychoUI: keivamp#
##################
]]--
local PsychoUI = LibStub("AceAddon-3.0"):GetAddon("PsychoUI")
local InCombatLockdown      = _G.InCombatLockdown;

local Mover = CreateFrame("Frame","BagsDrag",UIParent)

	Mover:SetSize(175,35)
	Mover:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",-5,5)
	Mover:SetClampedToScreen(true)
	Mover:SetClampRectInsets(0, 0, 0,0)



local myScale = 1	
local BagsX = -5
local BagsY = 35
local BagButtons = { 
	MainMenuBarBackpackButton,
	CharacterBag0Slot,
	CharacterBag1Slot,	
	CharacterBag2Slot,
	CharacterBag3Slot,
}
local box = CreateFrame("Frame",nil,UIParent)
box:SetWidth(250)
box:SetHeight(50)

	
local function mybox()
if PsychoUI.db.char.BagDisable == true then return end
local BorderSize = PsychoUI.db.char.BagsBorderSize
local BorderPadding = PsychoUI.db.char.BagsBorderPadding
box:SetPoint("CENTER",Mover,"CENTER", 0,0);    
box:SetScale(myScale)
myScale = PsychoUI.db.char.BagsScale
BagsX = PsychoUI.db.char.BagsX
BagsY = PsychoUI.db.char.BagsY
MainMenuBarBackpackButton:SetClampedToScreen(true)
MainMenuBarBackpackButton:SetClampRectInsets(0, 0, 0,0)
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
		for _, button in pairs(BagButtons) do
			if button == MainMenuBarBackpackButton then
				button:SetParent(UIParent)
				button:SetScale(myScale)
				button:EnableMouse(true)
				button:ClearAllPoints();
				button:CreateBeautyBorder(BorderSize)
				button:SetBeautyBorderPadding(BorderPadding)
				button:SetBeautyBorderTexture("white")
				if PsychoUI.db.char.BagsNoBorder == true then
					 button:SetBeautyBorderColor(0, 0, 0,0)
				else
					if PsychoUI.db.char.BagsBlackBorder == true then
						button:SetBeautyBorderColor(0, 0, 0,1)
					else
						button:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
					end
				end
				button:SetPoint("RIGHT",Mover,0,0);	
			elseif button == CharacterBag0Slot then
				if PsychoUI.db.char.OnlyMainBag == false then
				button:SetParent(MainMenuBarBackpackButton)
				button:EnableMouse(true)
				button:ClearAllPoints();
				button:CreateBeautyBorder(BorderSize)
				button:SetBeautyBorderPadding(BorderPadding)
				button:SetBeautyBorderTexture("white")
				if PsychoUI.db.char.BagsNoBorder == true then
					 button:SetBeautyBorderColor(0, 0, 0,0)
				else
					if PsychoUI.db.char.BagsBlackBorder == true then
						button:SetBeautyBorderColor(0, 0, 0,1)
					else
						button:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
					end
				end
				button:SetPoint("BOTTOMRIGHT",MainMenuBarBackpackButton,-43,0)
				else
				button:Hide()
				end
			elseif button == CharacterBag1Slot then
				button:SetParent(CharacterBag0Slot)
				button:EnableMouse(true)
				button:ClearAllPoints();
				button:CreateBeautyBorder(BorderSize)
				button:SetBeautyBorderPadding(BorderPadding)
				button:SetBeautyBorderTexture("white")
				if PsychoUI.db.char.BagsNoBorder == true then
					 button:SetBeautyBorderColor(0, 0, 0,0)
				else
					if PsychoUI.db.char.BagsBlackBorder == true then
						button:SetBeautyBorderColor(0, 0, 0,1)
					else
						button:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
					end
				end
				button:SetPoint("BOTTOMRIGHT",CharacterBag0Slot,-32,0);
			elseif button == CharacterBag2Slot then
				button:SetParent(CharacterBag1Slot)
				button:EnableMouse(true)
				button:ClearAllPoints();
				button:CreateBeautyBorder(BorderSize)
				button:SetBeautyBorderPadding(BorderPadding)
				button:SetBeautyBorderTexture("white")
				if PsychoUI.db.char.BagsNoBorder == true then
					 button:SetBeautyBorderColor(0, 0, 0,0)
				else
					if PsychoUI.db.char.BagsBlackBorder == true then
						button:SetBeautyBorderColor(0, 0, 0,1)
					else
						button:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
					end
				end
				button:SetPoint("BOTTOMRIGHT",CharacterBag1Slot,-32,0);
			elseif button == CharacterBag3Slot then
				button:SetParent(CharacterBag2Slot)
				button:EnableMouse(true)
				button:ClearAllPoints();
				button:CreateBeautyBorder(BorderSize)
				button:SetBeautyBorderPadding(BorderPadding)
				button:SetBeautyBorderTexture("white")
				if PsychoUI.db.char.BagsNoBorder == true then
					 button:SetBeautyBorderColor(0, 0, 0,0)
				else
					if PsychoUI.db.char.BagsBlackBorder == true then
						button:SetBeautyBorderColor(0, 0, 0,1)
					else
						button:SetBeautyBorderColor(playerColor.r, playerColor.g, playerColor.b)
					end
				end
				button:SetPoint("BOTTOMRIGHT",CharacterBag2Slot,-32,0);
			else	
				button:SetParent(MainMenuBarBackpackButton)
			end
		end
		if PsychoUI.db.char.lockframes == false then 
			BagsX = PsychoUI.db.char.BagsX
			BagsY = PsychoUI.db.char.BagsY
			Mover:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",BagsX,BagsY)
		
		end
		if PsychoUI.db.char.ResetBox == true then 
			Mover:ClearAllPoints()
			Mover:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",-5,5)
		end
 end

local DB_Check_Frame = CreateFrame("Frame")
		DB_Check_Frame:HookScript("OnUpdate", mybox)
		
		local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		if PsychoUI.db.char.BagDisable == true then return end
		
		BagsX = PsychoUI.db.char.BagsX
		BagsY = PsychoUI.db.char.BagsY
		
		Mover:ClearAllPoints()
		Mover:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",BagsX,BagsY)
	
				
	end)