--[[
##########################################################
PsychoUI: keivamp
##########################################################
]]--
local PsychoUI = LibStub("AceAddon-3.0"):GetAddon("PsychoUI")
local InCombatLockdown      = _G.InCombatLockdown;

local function CreateMoverBackdrop(frame)
   frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
        insets = {top = -2, left = -2, bottom = -2, right = -2}})
		frame:SetBackdropColor(0,0.55,0.95,0.45)
		frame:SetBackdropBorderColor(0,0,0,1)
end

	local VehicleX = 200
	local VehicleY = 0

	local MyVehicleFrame = CreateFrame("Frame",nil,UIParent, BackdropTemplateMixin and "BackdropTemplate")
	
		MyVehicleFrame:SetWidth(150)
		MyVehicleFrame:SetHeight(150)
		MyVehicleFrame:SetScale(1)
		MyVehicleFrame:ClearAllPoints()
		MyVehicleFrame:SetPoint("LEFT",UIParent,"LEFT",200,0)
		
		
	local Mover = CreateFrame("Frame","VehicleDrag",UIParent, BackdropTemplateMixin and "BackdropTemplate")
	Mover:SetSize(150,150)
	Mover:SetPoint("CENTER",MyVehicleFrame,"CENTER",0,0)
	Mover:SetClampedToScreen(true)
	Mover:SetClampRectInsets(0, 0, 0,0)
	local MoverText  = Mover:CreateFontString(nil, "OVERLAY")
	MoverText:SetFont("Interface\\Addons\\PsychoUI\\Fonts\\Dialog.TTF", 18, "OUTLINE")
	MoverText:SetPoint("CENTER",Mover,"CENTER", 0,0); 
	MoverText:SetText("")
		
	local function moveVehicle()
	VehicleSeatIndicatorBackgroundTexture:SetAlpha(1)
	VehicleSeatIndicator:ClearAllPoints();
	VehicleSeatIndicator:SetPoint("CENTER",MyVehicleFrame,0,0)
		if PsychoUI.db.char.lockframes == false then 
		
			VehicleX = PsychoUI.db.char.VehicleX
			VehicleY = PsychoUI.db.char.VehicleY
			MyVehicleFrame:ClearAllPoints()
			MyVehicleFrame:SetPoint("LEFT",UIParent,"LEFT",VehicleX,VehicleY)
			Mover:SetFrameLevel(5)
			Mover:Show()
			MoverText:SetText("Vehicle")
			CreateMoverBackdrop(Mover)
		
		end
		if PsychoUI.db.char.ResetBox == true then 
			MyVehicleFrame:ClearAllPoints()
			MyVehicleFrame:SetPoint("LEFT",UIParent,"LEFT",200,0)
		end
	end
	MyVehicleFrame:HookScript("OnUpdate", moveVehicle)
	
	local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		
		
			VehicleX = PsychoUI.db.char.VehicleX
			VehicleY = PsychoUI.db.char.VehicleY
			MyVehicleFrame:ClearAllPoints()
			MyVehicleFrame:SetPoint("LEFT",UIParent,"LEFT",VehicleX,VehicleY)
	
				
	end)
